/*****************************************************************************
* Header File: ARJDIR.CH                                                     *
* By.........: David A Pearson                                               *
* Function...: Defines the subscript constants for the ArjDirectory() array. *
*****************************************************************************/

// Subscript constants for the array returned from ArjDirectory().

#define ARJ_FNAME          1
#define ARJ_COMMENT        2
#define ARJ_HOST_OS        3
#define ARJ_COMP_METHOD    4
#define ARJ_FILE_TYPE      5
#define ARJ_DATE           6
#define ARJ_TIME           7
#define ARJ_COMP_SIZE      8
#define ARJ_ORIG_SIZE      9

#define ARJ_PACKET_SIZE    9

// Error codes.

#define ARJ_ERR_ALL_OK        0
#define ARJ_ERR_BAD_PARAM     1
#define ARJ_ERR_NO_FILE       2
#define ARJ_ERR_DOS           3
#define ARJ_ERR_BAD_HDR_LEN   4
#define ARJ_ERR_NOT_ARJ_FILE  5
#define ARJ_ERR_LOST_HEADER   6
#define ARJ_FILE_CORRUPT      7
